Bug 61649 - [Maintainer Update] Audio/gtkpod to 0.72
Summary: [Maintainer Update] Audio/gtkpod to 0.72
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-01-20 21:40 UTC by David
Modified: 2004-01-22 18:26 UTC (History)
0 users

See Also:


Attachments
gtkpod.diff (3.04 KB, patch)
2004-01-20 21:40 UTC, David
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David 2004-01-20 21:40:13 UTC
	Update of gtkpod to 0.72:
	- use libid3tag library instead of libid3 for better performance
	- parse the filename to fill in missing ID3 tags
	- support for unicoded ID3v2.4 tags
	- bug fixes

	*** AAC support broken : needs mpeg4ip-1.0 (0.9.9 in ports)
Comment 1 Kirill Ponomarev freebsd_committer 2004-01-21 18:55:54 UTC
State Changed
From-To: open->feedback

It doesn't compile on 4.x: 

mp3file.c: In function `file_get_mp3_info': 
mp3file.c:1373: syntax error before `*' 
mp3file.c:1374: syntax error before `mp3info' 
mp3file.c:1377: syntax error before `->' 
mp3file.c:1378: syntax error before `mp3info' 
mp3file.c:1379: warning: control reaches end of non-void function 
mp3file.c: At top level: 
mp3file.c:945: warning: `get_track_time' defined but not used 

Could you please investigate ?
Comment 2 Pav Lucistnik freebsd_committer 2004-01-21 23:11:36 UTC
State Changed
From-To: feedback->open

Feedback received.
Comment 3 Kirill Ponomarev freebsd_committer 2004-01-22 18:26:05 UTC
State Changed
From-To: open->closed

Committed, thanks!